# $Revision: 1.19 $, $Date: 2002/11/13 13:08:30 $
Summary:	An offline mail server with pop3 client support
Summary(pl):	Serwer pocztowy offline ze wsparciem dla pop3
Name:		masqmail
Version:	0.2.6
Release:	2
License:	GPL
Vendor:		Oliver Kurth <kurth@innominate.de>
Group:		Networking/Daemons
Source0:	ftp://innominate.org/oku/masqmail/%{name}-%{version}.tar.gz
URL:		http://www.innominate.org/~oku/masqmail/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel
Provides:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MasqMail is a mail server designed for hosts that do not have a
permanent internet connection eg. a home network or a single host at
home. It has special support for connections to different ISPs. It
replaces sendmail or other MTAs such as qmail or exim.

%description -l pl
MasqMail jest serwerem pocztowym zaprojektowanym dla maszyn nie
posiadajcych staego dostpu do Internetu, jak domowe sieci czy
pojedyncze komputery domowe. Wspiera poczenia z rnymi ISP.
Zastpuje sendmaila oraz inne MTA jak qmail czy exim.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-user=mail \
	--with-group=mail \
	--with-logdir=/var/log
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name}/tpl,%{_bindir},%{_libdir},%{_sbindir},%{_mandir}/man{5,8},%{_var}/spool/%{name}/{input,lock,popuidl}}

install tpl/failmsg.tpl $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/tpl
install examples/masqmail.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install src/mservdetect $RPM_BUILD_ROOT%{_bindir}
install src/masqmail $RPM_BUILD_ROOT%{_sbindir}
install docs/man/masqmail.*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install docs/man/masqmail.8 $RPM_BUILD_ROOT%{_mandir}/man8
install debian/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
install debian/newaliases $RPM_BUILD_ROOT%{_bindir}
ln -s -f '../sbin/masqmail' $RPM_BUILD_ROOT%{_bindir}/mailq
ln -s -f '../sbin/masqmail' $RPM_BUILD_ROOT%{_libdir}/sendmail
ln -s -f './masqmail' $RPM_BUILD_ROOT%{_sbindir}/sendmail

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL NEWS README THOUGHTS TODO examples/example.*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/sendmail
%attr(755,root,root) %{_sbindir}/sendmail
%attr(4755,root,root) %{_sbindir}/masqmail
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}/masqmail.conf
%{_mandir}/man[58]/*
%defattr(644,mail,mail,755)
%dir %{_sysconfdir}/%{name}/tpl
%config %{_sysconfdir}/%{name}/tpl/failmsg.tpl
%dir %{_var}/spool/%{name}
%dir %{_var}/spool/%{name}/input
%dir %{_var}/spool/%{name}/lock
%dir %{_var}/spool/%{name}/popuidl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: masqmail.spec,v $
Revision 1.19  2002/11/13 13:08:30  kloczek
- release 2.

Revision 1.18  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/06/06 08:16:25  gotar
- new %doc

Revision 1.16  2002/05/24 11:04:31  gotar
- ac/am macros

Revision 1.15  2002/05/21 23:14:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/10/18 16:40:22  gotar
- cosmetics.

Revision 1.11  2001/10/06 21:10:43  kloczek
- added "rm -f missing" on top %build.

Revision 1.10  2001/10/06 21:06:41  gotar
- upgraded to 0.2.6.

Revision 1.9  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.8  2001/08/29 19:24:11  kloczek
- fixed Source url.

Revision 1.7  2001/08/28 19:13:47  gotar
- added %{_var}/spool/%{name}/lock dir to the package contents,
- release 2.

Revision 1.6  2001/08/26 10:31:47  gotar
- upgraded to 0.2.5.

Revision 1.5  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.4  2001/06/19 12:31:37  gotar
- spec cleanups.

Revision 1.3  2001/04/11 21:44:45  gotar
- Erghhh... T. K. - you've lost two example files!

Revision 1.2  2001/04/09 23:38:56  kloczek
- few cosmetics and make spec %%{debug} ready.

Revision 1.1  2001/04/08 15:01:03  gotar
- spec rewrited from scratch (maybe except %description etc.),
- removed Debian, SuSE and Red Hat compatibilities (rcscripts and so) - DIY.
